Toolinux Linto.AI OpenPAAS OBM Hubl.IN Linagora

Un nouveau correctif pour toutes les versions de PostgreSQL

mardi 25 mars 2014

Le PostgreSQL Global Development Group a publié une mise-à-jour de toutes les
versions supportées du SGBD, soit les versions 9.3.4, 9.2.8, 9.1.13, 9.0.17, et
8.4.21.

Cette version corrige un problème de corruption des données par réplication et
reprise sur panne sur la version 9.3, ainsi que quelques autres problèmes sur
toutes les versions. Il est urgent pour tous les utilisateurs de version 9.3
d’effectuer la mise à jour. L’urgence est moindre pour les autres versions.

La corruption de données sous PostgreSQL 9.3 affecte les serveurs de secours en
réplication binaire, les serveurs restaurés par PITR et les serveurs autonomes
en cas de reprise sur incident.

Le bogue entraîne une corruption d’index irréparable lors de la récupération du
fait d’un rejeu incorrect des opérations de verrous de niveau ligne. Cela peut
conduire à des résultats de requête inconsistants en fonction de l’utilisation
ou non d’un index, et éventuellement amener à la violation de clés primaires ou
problèmes similaires.

Pour cette raison, il est nécessaire de recréer tous les serveurs de
secours après l’application de la mise à jour.

Liens :

- Téléchargement
- Notes de version
- Page Wiki de mise-à-jour 9.3.4